
#import "MP3Browser.h"
#import "MP3ListManager.h"
#import <string.h>
#import "Common.h" // by hrjun 06.03

@implementation MP3Browser

- initFrame:(const NXRect *)frameRect {
    const char *fileType[] = {NXFilenamePboardType};
    [super initFrame:frameRect];
    [self registerForDraggedTypes:fileType count:1];
    return self;
}

- (BOOL)acceptsFirstResponder {
    return YES;
}

@end

@implementation MP3Browser (NXDraggingDestination)
- (NXDragOperation)draggingEntered:(id <NXDraggingInfo>)sender {
    const NXAtom *types = [[sender draggingPasteboard] types];
    int i;

    for (i = 0; *(types + i); i++)
        if (!strcmp(*(types + i), NXFilenamePboardType))
            return NX_DragOperationCopy;
    return NX_DragOperationNone;
} 

- (BOOL)prepareForDragOperation:(id <NXDraggingInfo>)sender {
    return YES;
}

- (BOOL)performDragOperation:(id <NXDraggingInfo>)sender {
    char *data; 
    int length;

    if ([[sender draggingPasteboard] readType:NXFilenamePboardType data:&data length:&length])
        return [[[self window] delegate] addMP3Files:data];

    return NO;
}

@end
