/*

Originally, written by Hongryul Jun.
Almost reimplemented, especially process managing mechanism by Sanghyuk Suh.

Last modified in May 26, 2000 by Sanghyuk Suh.

*/

#import <appkit/appkit.h>

#define PS_STOPPED 0
#define PS_PLAYING 1
#define PS_PAUSED  2

@interface MP3Process : Object
{
    id delegate;
    BOOL isLowSampleFrequency;
    BOOL isStereo;
    int qualityLevel;
    int pid;
    int status;
}

+ (MP3Process *)sharedProcess;

- delegate;
- delegate:anObject;

- (BOOL)isLowSampleFrequency;
- isLowSampleFrequency:(BOOL)yesNo;

- (BOOL)isStereo;
- isStereo:(BOOL)yesNo;

- (int)qualityLevel;
- qualityLevel:(int)aNumber;

- (int)status;

- playFile:(const char *)file;
- pause;
- continue;
- stop;

@end

@interface Object (MP3ProcessDelegate)
- (void)mp3ProcessEndedPlaying;
@end
