
#import <appkit/appkit.h>

@class MP3ListManager; // by shsuh 00.05.31
@class PrefControl;
@class OptionManager;
@class Info; // by hrjun 00.05.31

//typedef enum { STOP=0, PLAY, PAUSE } _processStatus;
typedef enum { ONETIME=0, REPEAT, SHUFFLE, SHUFFLE_REPEAT } _playMode;

@interface MainControl:Object
{
    BOOL isFromWorkspace;

    PrefControl *pref;
    MP3ListManager *listMgr;
    OptionManager *optionMgr;

    Info *info;
//    BOOL isPlaying;

    int limitCount;

    id window;
    id playListPopup;
    id playListButton;

    id listPanelButton;
    id optionPanelButton;

    id playButtonMatrix;
    id infoText;
}

- init;

// Accessor methods
- pref;
- (const char *)currentListName;

// Info Menu 
- showPreference:sender;
- showInfo:sender;

// MP3 File & List
- openFile:sender;
- openList:sender;
- saveList:sender;
- saveAsList:sender;

// Play with the processor
- play:sender;
- pause:sender;
- stop:sender;
- move:sender;

- setShuffle:sender;
- setRepeat:sender;

// MP3 File List
- displayFileList:sender;

// Play Option
- displayOption:sender; // by hrjun

// Handle the list of mp3 files
- changePlayList:sender;
- removePlayList:sender;
- tryToAddPlayList:(const char*)name;
- (BOOL)isContains:(const char *)word inItemList:(Matrix *)itemList;

// Internal methods
- checkStartupSound;
- checkAlarmSound;
//- checkMP3ListAndPlay; // by shsuh 00.06.07
- startPlay;
- showMessage:(const char*)str fromPipe:(BOOL)flag;
- showCurrentFile;
- updateButtonStatus;

@end
